Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemExtensionDecl

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemExtensionDecl

public class ElemExtensionDecl
extends ElemTemplateElement

See Also:
  Serialized Form

Constructor Summary
`ElemExtensionDecl()`

Method Summary
`java.lang.String` | `getElement(int i)`
`int` | `getElementCount()`
`StringVector` | `getElements()`
`java.lang.String` | `getFunction(int i)`
`int` | `getFunctionCount()`
`StringVector` | `getFunctions()`
`java.lang.String` | `getPrefix()`
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `runtimeInit(TransformerImpl transformer)` This function will be called on top-level elements only, just before the transform begins.
`void` | `setElements(StringVector v)`
`void` | `setFunctions(StringVector v)`
`void` | `setPrefix(java.lang.String v)`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, compose, error, execute, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeName, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getXmlSpace, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, resolvePrefixTables, setDOMBackPointer, setLocaterInfo, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemExtensionDecl

    public ElemExtensionDecl()

Method Detail

### setPrefix

    public void setPrefix(java.lang.String v)

  Overrides:
    setPrefix in class UnImplNode

### getPrefix

    public java.lang.String getPrefix()

  Overrides:
    getPrefix in class UnImplNode

### setFunctions

    public void setFunctions(StringVector v)

### getFunctions

    public StringVector getFunctions()

### getFunction

    public java.lang.String getFunction(int i)
                                 throws java.lang.ArrayIndexOutOfBoundsException

### getFunctionCount

    public int getFunctionCount()

### setElements

    public void setElements(StringVector v)

### getElements

    public StringVector getElements()

### getElement

    public java.lang.String getElement(int i)
                                throws java.lang.ArrayIndexOutOfBoundsException

### getElementCount

    public int getElementCount()

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### runtimeInit

    public void runtimeInit(TransformerImpl transformer)
                     throws SAXException

  This function will be called on top-level elements only, just before the transform begins.
  Parameters:
    `transformer` - The XSLT Processor.
  Overrides:
    runtimeInit in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.